/* Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.flowable.editor.dmn.converter;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.fasterxml.jackson.databind.JsonNode;

/**
 * Created by yvoswillens on 27/08/15.
 */
public class DmnJsonConverterUtil {

  protected static final Logger logger = LoggerFactory.getLogger(DmnJsonConverterUtil.class);

  public static String getValueAsString(String name, JsonNode objectNode) {
    String propertyValue = null;
    JsonNode jsonNode = objectNode.get(name);
    if (jsonNode != null && jsonNode.isNull() == false) {
      propertyValue = jsonNode.asText();
    }
    return propertyValue;
  }
}
