package org.flowable.engine.impl.cmd;

import java.util.List;

import org.flowable.engine.event.EventLogEntry;
import org.flowable.engine.impl.interceptor.Command;
import org.flowable.engine.impl.interceptor.CommandContext;

/**
 * @author Joram Barrez
 */
public class GetEventLogEntriesCmd implements Command<List<EventLogEntry>> {

  protected String processInstanceId;
  protected Long startLogNr;
  protected Long pageSize;

  public GetEventLogEntriesCmd() {

  }

  public GetEventLogEntriesCmd(String processInstanceId) {
    this.processInstanceId = processInstanceId;
  }

  public GetEventLogEntriesCmd(Long startLogNr, Long pageSize) {
    this.startLogNr = startLogNr;
    this.pageSize = pageSize;
  }

  @Override
  public List<EventLogEntry> execute(CommandContext commandContext) {
    if (processInstanceId != null) {
      return commandContext.getEventLogEntryEntityManager().findEventLogEntriesByProcessInstanceId(processInstanceId);

    } else if (startLogNr != null) {
      return commandContext.getEventLogEntryEntityManager().findEventLogEntries(startLogNr, pageSize != null ? pageSize : -1);

    } else {
      return commandContext.getEventLogEntryEntityManager().findAllEventLogEntries();
    }
  }

}
